import socket

def start_server(ip, port):
    server_socket = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    server_socket.bind((ip, port))
    print(f"UDP server listening on {ip}:{port}")

    while True:
        data, addr = server_socket.recvfrom(1024)  # buffer size is 1024 bytes
        print(f"received message: {data} from {addr}")

if __name__ == "__main__":
    start_server("localhost", 8888)
